com.impinj.stp

## Interface StpApi.SerializationOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Serialization, StpApi.Serialization.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.SerializationOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.MonzaSelfSerialization` | `getMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.MonzaSelfSerializationOrBuilder` | `getMonzaSelfSerializationOrBuilder()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `int` | `getSerializationBits()` Length of serial number to generate e.g.
    `StpApi.SerialNumberRange` | `getSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.SerialNumberRangeOrBuilder` | `getSerialNumberRangeOrBuilder()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `boolean` | `hasMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `boolean` | `hasSerializationBits()` Length of serial number to generate e.g.
    `boolean` | `hasSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSerializationBits

          boolean hasSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED

    - #### getSerializationBits

          int getSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED

    - #### hasMonzaSelfSerialization

          boolean hasMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### getMonzaSelfSerialization

          StpApi.MonzaSelfSerialization getMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### getMonzaSelfSerializationOrBuilder

          StpApi.MonzaSelfSerializationOrBuilder getMonzaSelfSerializationOrBuilder()

      Monza Self-Serialization between 34-bits and 96-bits in length.

    - #### hasSerialNumberRange

          boolean hasSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### getSerialNumberRange

          StpApi.SerialNumberRange getSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).

    - #### getSerialNumberRangeOrBuilder

          StpApi.SerialNumberRangeOrBuilder getSerialNumberRangeOrBuilder()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).